# Created by pyp2rpm-1.0.1
%global pypi_name APLpy

Name:           python-aplpy
Version:        1.1.1
Release:        %mkrel 1
Group:          Sciences/Astronomy
Summary:        The Astronomical Plotting Library in Python

License:        MIT
URL:            http://aplpy.github.io/
Source0:        http://cloud.github.com/downloads/aplpy/aplpy/APLpy-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel


%description
APLpy (the Astronomical Plotting Library in Python) is a Python module aimed at
producing publication-quality plots of astronomical imaging data in FITS
format. The module uses Matplotlib, a powerful and interactive plotting
package. It is capable of creating output files in several graphical formats,
including EPS, PDF, PS, PNG, and SVG.



%package -n python3-aplpy
Summary:        Python3 implementation of APLpy
Group:          Development/Python
BuildRequires:  python3-devel

%description -n python3-aplpy
%{summary}.


%prep
%setup -q -n %{pypi_name}-%{version}



%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files
%doc LICENSE.md README.md
%{python2_sitelib}/aplpy
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%files -n python3-aplpy
%doc LICENSE.md README.md
%{python3_sitelib}/aplpy
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Thu Dec 15 2016 eatdirt <eatdirt> 1.1.1-1.mga6
+ Revision: 1075448
- Upgrade to latest version 1.1.1 + python3 build

* Mon Feb 08 2016 umeabot <umeabot> 0.9.8-8.mga6
+ Revision: 943241
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.8-7.mga5
+ Revision: 740402
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.8-6.mga5
+ Revision: 728051
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.8-5.mga5
+ Revision: 687883
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.8-3.mga4
+ Revision: 542993
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.8-2.mga4
+ Revision: 498107
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jun 18 2013 joequant <joequant> 0.9.8-1.mga4
+ Revision: 444675
- add URL
- imported package python-aplpy

